Get Service Proxy Configuration

Get Service Proxy Configuration
Get HCX Service Proxy Configuration

Retrieves the current HCX Service Proxy configuration. The service proxy is used in air-gapped or restricted network environments (e.g., FedRamp) where the HCX Manager needs to communicate with HCX Cloud services through a designated proxy endpoint.

Request
URI
GET
https://{server}:9443/api/admin/global/config/serviceProxy
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved service proxy configuration

Returns ServiceProxyGetResponse of type(s) application/json
{
    "data": {
        "items": [
            {
                "section": "hcxServiceProxy",
                "config": {
                    "url": "https://hcx-proxy.customer.com",
                    "UUID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
                }
            }
        ]
    }
}
object
data
Optional

data


404

Service proxy not configured

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Section hcxServiceProxy not found",
    "httpStatusCode": 404
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


405

Method not allowed - feature only available on HCX-Connector

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "HCX Service Proxy feature is available only for the HCX-Connector.",
    "httpStatusCode": 405
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


500

Internal server error

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Error retrieving service proxy configuration",
    "httpStatusCode": 500
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/global/config/serviceProxy